//
// Created by Krad on 2021/12/17.
//

#ifndef GUI_GUIERRORLW_H
#define GUI_GUIERRORLW_H

#include "GUIErrorBase.h"
#include <QVariant>
class GUIErrorLW  :public GUIErrorBase {
public:
    GUIErrorLW() =default;

    static const QStringList& getWARNMessages(){
        static QStringList message;
        if (message.isEmpty())
        {
            for (int i = 0; i < 32; ++i) {
                message<<QString("message %1!").arg(i);
            }
        }
        return message;
    }

    /**
     * parse error object from error msg
     * @param errorMsg
     */
    void parse(const QString& errorMsg) override ;

    /**
     * handle error, should be implement in sub class
     */
    void handle() override;

private:
    QVariant value;

};


#endif //GUI_GUIERRORLW_H
